/***************************************************************************
*   Copyright (C) 2004 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#include "linestyledialog.h"

namespace PapyrusGtk
  {

  LinestyleDialog::LinestyleDialog()
      : Dialog()
  {
    this->set_title("Set Line Style");
    m_apply_button = this->add_button(Gtk::Stock::APPLY, Gtk::RESPONSE_APPLY);
    m_cancel_button = this->add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
    m_ok_button = this->add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);

		this->get_vbox()->add(m_linestyle_widget);

    this->show_all();
  }


  LinestyleDialog::~LinestyleDialog()
  {}

  const Gtk::Button * LinestyleDialog::get_apply_button( ) const
    {
      return m_apply_button;
    }

  Gtk::Button * LinestyleDialog::get_apply_button( )
  {
    return m_apply_button;
  }

  const Gtk::Button * LinestyleDialog::get_cancel_button( ) const
    {
      return m_cancel_button;
    }

  Gtk::Button * LinestyleDialog::get_cancel_button( )
  {
    return m_cancel_button;
  }

  const Gtk::Button * LinestyleDialog::get_ok_button( ) const
    {
      return m_ok_button;
    }

  Gtk::Button * LinestyleDialog::get_ok_button( )
  {
    return m_ok_button;
  }

  const Papyrus::LineStyle & LinestyleDialog::get_line_style( ) const
    {
			return m_linestyle_widget.get_line_style();
    }

}
