/***************************************************************************
*   Copyright (C) 2004 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#ifndef PAPYRUSGTKLINESTYLEDIALOG_H
#define PAPYRUSGTKLINESTYLEDIALOG_H

#include <gtkmm.h>

#include <papyrus/linestyle.h>
#include <papyrusmm/linestylewidget.h>

namespace PapyrusGtk {

/**
	@author Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>
*/
class LinestyleDialog : public Gtk::Dialog
{
public:
    LinestyleDialog();

    ~LinestyleDialog();

    const Gtk::Button* get_apply_button() const;
    Gtk::Button* get_apply_button();

    const Gtk::Button* get_cancel_button() const;
    Gtk::Button* get_cancel_button();

    const Gtk::Button* get_ok_button() const;
    Gtk::Button* get_ok_button();

    const Papyrus::LineStyle& get_line_style() const;

  protected:
    Gtk::Button* m_apply_button;
    Gtk::Button* m_cancel_button;
    Gtk::Button* m_ok_button;

		LineStyleWidget m_linestyle_widget;

};

}

#endif
