/***************************************************************************
*   Copyright (C) 2004 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#ifndef PAPYRUSGTKMARKERWIDGET_H
#define PAPYRUSGTKMARKERWIDGET_H

#include <gtkmm/table.h>
#include <papyrusmm/markercombobox.h>
#include <papyrusmm/linestylewidget.h>

namespace PapyrusGtk {

/**
 * @author Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>
 */
class MarkerWidget : public Gtk::Table
{
public:
	MarkerWidget(bool use_preview=true);

    ~MarkerWidget();

    Papyrus::Marker::pointer get_marker();

		bool use_preview();
		void set_use_preview(bool use=true);

  protected:
    Gtk::Expander* m_expander;
    PapyrusGtk::Viewport* m_viewport;
    Papyrus::Polyline::pointer m_line;
		Papyrus::Marker::pointer m_marker;

    Gtk::ColorButton m_fill_color_button;
		Gtk::ColorButton m_outline_color_button;
    Gtk::Adjustment m_marker_width_adjustment;
    Gtk::SpinButton m_marker_width_entry;
    Gtk::Adjustment m_marker_height_adjustment;
    Gtk::SpinButton m_marker_height_entry;
		Gtk::Adjustment m_line_width_adjustment;
		Gtk::SpinButton m_line_width_entry;
		PapyrusGtk::MarkerComboBox m_marker_combobox;
		PapyrusGtk::LineJoinButtonBox m_line_join_buttonbox;
		PapyrusGtk::LineCapButtonBox m_line_cap_buttonbox;

		void on_marker_style_changed();
		void on_fill_color_changed();
		void on_outline_color_changed();
		void on_marker_width_changed();
		void on_marker_height_changed();
		void on_line_width_changed();
		void on_line_join_changed( Cairo::LineJoin );
		void on_line_cap_changed( Cairo::LineCap );

		void update_line_marker();
};

}

#endif
